Subject: Re: [dhcwg] Murray Kucherawy's No Objection on draft-ietf-dhc-slap-quadrant-09: (with COMMENT)

From: CARLOS JESUS BERNARDOS CANO <[email-masked]>
Date: Fri, 31 Jul 2020 19:37:28 +0200

Dear Murray,

Thanks a lot for your comments. Apologies for the belated response. Please
see inline below some comments.

On Wed, Jun 10, 2020 at 10:30 AM Murray Kucherawy via Datatracker <
[email-masked]> wrote:

> Murray Kucherawy has entered the following ballot position for
> draft-ietf-dhc-slap-quadrant-09: No Objection
>
> When responding, please keep the subject line intact and reply to all
> email addresses included in the To and CC lines. (Feel free to cut this
> introductory paragraph, however.)
>
>
> Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
> for more information about IESG DISCUSS and COMMENT positions.
>
>
> The document, along with other ballot positions, can be found here:
> https://datatracker.ietf.org/doc/draft-ietf-dhc-slap-quadrant/
>
>
>
> ----------------------------------------------------------------------
> COMMENT:
> ----------------------------------------------------------------------
>
> As with Robert, I'm interested to hear what coordination with IEEE has
> occurred, both for this and for the companion "mac-assign" document.
>
> I'm also, as Warren, puzzled as to why the Shepherd Writeup claims there's
> no
> IPR claim when the datatracker disagrees, and struck by how much text here
> overlaps with the "mac-assign" document.
>
> [Carlos] All these have been already addressed in previous e-mails. Let me
know if you need additional clarifications.

> As for editorial remarks, I have some:
>
> Section 1:
> * I am unable to parse the bullet that defines the "Administratively
> Assigned
> Identifier" quadrant.
>

[Carlos] This has been rewritten, thanks.

>
> Section 1.1.1:
> * "Examples of this include: sensors ..." -- remove the colon
> * "... temporary MAC address, to send initial ..." -- remove the comma
> * "... good for assigning addresses from, but ..." -- remove "from"
> * "... easy to track users' movement." -- s/movement/movements/
> * "... best SLAP quadrant to assign addresses from, ..." -- suggest "best
> SLAP
> quadrant from which to assign addresses, ..."
>

[Carlos] All of them have been fixed, thanks.

>
> Section 2:
> * "... typically 6 bytes long ..." -- s/6/six/
>

[Carlos] Fixed, thanks.

>
> Section 3:
> * "If we now take the ..." -- suggest "Next, consider the ..."
>

[Carlos] Fixed.

> * Generally I found this section to have a mushy sort of structure.  It
> begins
> and ends by mapping certain use cases onto certain quadrants explicitly,
> but in
> the middle seems to wander into a checklist of things you might think about
> without mapping those concepts toward a preferred quadrants.  You might
> consider firming this up with, perhaps four separate paragraphs, or even
> subsections, each describing ideal uses for one of the quadrants, taking
> into
> account the facets of that choice you've enumerated here.
>

[Carlos] We are considering moving this as an annex.

>
> Section 6
> * I suggest omitting the IANA URL.  What if it were to change?  All you
> really
> need is the registry name.
>

[Carlos] I defer here to the IANA review. They didn't propose omitting the
URL.

Thanks a lot!

Carlos